Net::Server::Proto::UNIX(3)

NAME
Net::Server::Proto::UNIX - Net::Server UNIX protocol.

SYNOPSIS
See Net::Server::Proto.

DESCRIPTION
Protocol module for Net::Server. This module implements the UNIX SOCK_STREAM socket type. See Net::Server::Proto.

Any sockets created during startup will be chown'ed to the user and group specified in the starup arguments.

PARAMETERS
The following paramaters may be specified in addition to normal command line parameters for a Net::Server. See Net::Server for more information on reading arguments.

unix_type
    Can be either SOCK_STREAM or SOCK_DGRAM (default is SOCK_STREAM). This can also be passed on the port line (see Net::Server::Proto).

    However, this method is deprecated. If you want SOCK_STREAM - just use proto UNIX without any other arguments. If you'd like SOCK_DGRAM, use the new proto UNIXDGRAM.

METHODS

NS_unix_path/NS_unix_type
    In addition to the standard NS_ methods of Net::Server::Proto classes, the UNIX types also have legacy calls to NS_unix_path and NS_unix_type.

    Since version 2.000, NS_unix_path is simply an alias to NS_port. NS_unix_type is now redundant with NS_proto.

    These methods were missing between version 2.000 and 2.003 but have been returned as legacy bridges.

QUICK PARAMETER LIST
  Key               Value                    Default

  # deprecated UNIX socket parameters
  unix_type         (SOCK_STREAM|SOCK_DGRAM) SOCK_STREAM
  port              "filename"               undef

  # more recent usage
  port              "filename / UNIX"
  port              "filename / UNIXDGRAM"

LICENCE
Distributed under the same terms as Net::Server